### Method

# Gtk EntryBufferdelete_text

#### Declaration [src]

    guint
    gtk_entry_buffer_delete_text (
      GtkEntryBuffer* buffer,
      guint position,
      int n_chars
    )

#### Description [src]

Deletes a sequence of characters from the buffer.

`n_chars` characters are deleted starting at `position`. If `n_chars` is negative, then all characters until the end of the text are deleted.

If `position` or `n_chars` are out of bounds, then they are coerced to sane values.

Note that the positions are specified in characters, not bytes.

#### Parameters

`position`

  Type: `guint`

  Position at which to delete text.

`n_chars`

  Type: `int`

  Number of characters to delete.

#### Return value

Type: `guint`

The number of characters deleted.